
{ Pass this procedure the X and Y coordinates of where to place the prompt
  and the prompt string for a yes or no answer.  The reply will appear on
  the screen as you hit a Y on an N and is available to the programmer in
  the variable YesNo. }

Procedure Get_YesNo (X,Y : Integer; Prompt : Str80);
  Begin
    Repeat
      Cursor_On;
      GotoXY(X,Y); LowVideo; Write (Prompt);
      Write('?',BS); NormVideo; Read (Kbd,YesNo)
    Until YesNo in ['Y','y','N','n'];
    Case YesNo Of
      'Y','y' : Writeln ('Yes');
      'N','n' : Writeln ('No')
    End
  End;
